Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Reports - Get Pages

Service:
Power BI REST APIs
API Version:
v1.0

Returns a list of pages within the specified report from My workspace.

Required Scope

Report.ReadWrite.All or Report.Read.All

GET https://api.powerbi.com/v1.0/myorg/reports/{reportId}/pages

URI Parameters

Name In Required Type Description
reportId
path True

string (uuid)

The report ID

Responses

Name Type Description
200 OK

Pages

OK

Examples

Example

Sample request

GET https://api.powerbi.com/v1.0/myorg/reports/879445d6-3a9e-4a74-b5ae-7c0ddabf0f11/pages

Sample response

Status code:
200
{
 "value": [
 {
 "displayName": "Regional Sales Analysis",
 "name": "ReportSection",
 "order": "0"
 },
 {
 "displayName": "Geographic Analysis",
 "name": "ReportSection1",
 "order": "1"
 }
 ]
}

Definitions

Name Description
Page

A Power BI report page

Pages

The OData response wrapper for a Power BI page collection

Page

Object

A Power BI report page

Name Type Description
displayName

string

The display name of the report page

name

string

The name of the report page

order

integer (int32)

The order of the report page

Pages

Object

The OData response wrapper for a Power BI page collection

Name Type Description
@odata.context

string

OData context

value

Page[]

The page collection